Bug 594542 - FC12 hangs in boot process with kmod-nvidia installed
FC12 hangs in boot process with kmod-nvidia installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdiff3 (Show other bugs)
12
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 20:55 EDT by Bruce vaNorman
Modified: 2010-12-03 09:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:30:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FC11 working xorg.conf (3.12 KB, application/octet-stream)
2010-05-20 20:55 EDT, Bruce vaNorman
no flags Details

  None (edit)
Description Bruce vaNorman 2010-05-20 20:55:20 EDT
Created attachment 415545 [details]
FC11 working xorg.conf

Description of problem:
boot hangs just after displaying "starting udev:", "setting hostname" never appears. I am unable to migrate to FC-12 at this time.
Nouveau does not seem to support dual video card, dual DVI displays at this time. Found may similar complaints on the web, but no solutions.

Version-Release number of selected component (if applicable):
kernel - 2.6.32.12-115.fc12.i686.PAE

How reproducible:
consistent and reproducible 100% of the time.


Steps to Reproduce:
1. Install FC-12 from the DVD
2. add fusion repos
3. yum - y update
- per Fedora FC12 nvidia install instructions -
4. yum -y install kmod-nvidia kmode-nvidia-PAE
5. setsebool -P allow-execstack on
6. add "rdblacklist=nouveau" kernel line in grub.conf
7. re-boot
  
Actual results:
see description of problem above. I let the hang go on for 6 minutes before I timed out.

Expected results:
continue with boot process

Additional info:
The problems with FC11 revolved around my dual video cards, had to set "vmalloc=256M" in grub kernel command line. Tried same and "vmalloc=512M" with FC12. No go.
---
I have dual DVI attached SOYO Topaz-S monitors (24"). No VGA displays (too fuzzy). Lesser screen real-estate is completely unacceptable. They are configured as separate X11 clients with 4 workspaces each. Use: software development.
Comment 1 Bruce vaNorman 2010-05-23 17:11:48 EDT
See comments on bug #553569 - nouveau specific.
---
PCIe bus assignments (lspci)
00: nVidia Corporation MCP78S [GeForce 8200] (rev a2)
01: Multimedia audio controller: Creative Labs SB Audigy (rev 04) 
02: VGA compatible controller: nVidia Corporation GeForce 8200 (rev a2) 
03: VGA compatible controller: nVidia Corporation GeForce 8400 GS (rev a1)
Comment 2 Bruce vaNorman 2010-05-23 17:42:02 EDT
Per info posted on bug #553569, I can never use FC12. I hope FC13 is better.
Comment 3 Bruce vaNorman 2010-05-30 18:37:02 EDT
FC-13 works! Yea!!!
kernel 2.6.33.5-112.fc13.i686.PAE
More importantly, it works with the stock nouveau drivers and does not require the vmalloc=256M
---
The only problem was the lack of documentation on how to create a harmless xorg.conf that functioned exactly like the installation default (no xorg.conf). A sort of baseline to modify from.
---
I have attached the xorg.conf that worked.
---
# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings:  version 1.0  (buildmeister@builder63)  Tue May 12 12:47:54 PDT 2009

# Xorg configuration created by livna-config-display

Section "ServerLayout"
    Identifier     "single head configuration"
    Screen      0  "Screen0" 0 0
    Screen      1  "Screen1" RightOf "Screen0"
    InputDevice    "Mouse0" "CorePointer"
    InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

# Section "Files"
#     ModulePath      "/usr/lib/xorg/modules/extensions/nvidia"
#     ModulePath      "/usr/lib/xorg/modules"
# EndSection

Section "ServerFlags"
    Option         "AIGLX" "on"
    Option         "Xinerama" "0"
EndSection

Section "InputDevice"

    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/input/mice"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"

# keyboard added by rhpxl
    Identifier     "Keyboard0"
    Driver         "kbd"
    Option         "XkbModel" "pc105"
    Option         "XkbLayout" "us"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "XXX M24EI5"
    HorizSync       30.0 - 83.0
    VertRefresh     56.0 - 61.0
    Option         "DPMS"
EndSection

Section "Monitor"
    Identifier     "Monitor1"
    VendorName     "Unknown"
    ModelName      "XXX M24EI5"
    HorizSync       30.0 - 83.0
    VertRefresh     56.0 - 61.0
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nouveau"
    VendorName     "NVIDIA Corporation"
    BoardName      "GeForce 8200"
    Option         "AddARGBGLXVisuals" "True"
    BusID          "PCI:2:0:0"
EndSection

Section "Device"
    Identifier     "Device1"
    Driver         "nouveau"
    VendorName     "NVIDIA Corporation"
    BoardName      "GeForce 8400 GS"
    Option         "AddARGBGLXVisuals" "True"
    BusID          "PCI:3:0:0"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "TwinView" "0"
#    Option         "metamodes" "nvidia-auto-select +0+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

Section "Screen"
    Identifier     "Screen1"
    Device         "Device1"
    Monitor        "Monitor1"
    DefaultDepth    24
    Option         "TwinView" "0"
#    Option         "metamodes" "nvidia-auto-select +0+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

Section "Extensions"
    Option         "Composite" "Enable"
EndSection
Comment 4 Bug Zapper 2010-11-03 10:30:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 09:30:46 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.